
package de.ivu.elect.presentation.person.menu;

import javax.inject.Inject;

import de.ivu.elect.business.person.entity.BerufMeta;
import de.ivu.elect.jee.entity.Meta;
import de.ivu.elect.presentation.exchange.ImportDescription;
import de.ivu.elect.presentation.exchange.menu.AbstractImportMenuItemEntry;
import de.ivu.elect.presentation.person.exchange.BerufImportDescription;

public class BerufImportMenuItemEntry extends AbstractImportMenuItemEntry {

  private static final long serialVersionUID = 1L;

  @Inject
  private transient BerufMeta berufMeta;

  @Inject
  private transient BerufImportDescription importDescription;

  public BerufImportMenuItemEntry() {
    super();
  }

  @Override
  protected ImportDescription getImportDescription() {
    return importDescription;
  }

  @Override
  protected Meta getMeta() {
    return berufMeta;
  }
}
